# Component: Renewal Form

\| This is a legacy component that is not being actively maintained. Please reach out to <support@limio.com> if you have a use case for this component. |

**Purpose**: Displays form for the customer to renew their subscription using their address postcode/zipcode and their subscription ID. If you'd like to force users to login before renewing their subscription, use the [Renewal Options component](/components/component-library/legacy-configuration-components/component-renewal-options.md) instead.

It is also possible to automatically push users through this flow by passing in query string parameters in the URL.

| **Query String Parameter** | **Details**                                                                                                                |
| -------------------------- | -------------------------------------------------------------------------------------------------------------------------- |
| customer                   | A SHA256 encoded version of the customer's email address. This will be matched against the customer email stored in Limio. |
| subRef                     | The customer's subscription reference                                                                                      |

For example:

\<your-domain.com>/renewal?customer=\&subRef=

If the customer email is successfully validated, they will be redirected to the URL configured in the continueButtonUrl prop.

## Props

| **id**                        | **label**                        | **type** | **default**                                                                                                                                    | **purpose**                           |
| ----------------------------- | -------------------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------- |
| heading                       | Heading                          | string   | Let's renew your subscription                                                                                                                  | Heading text                          |
| subHeading                    | Sub-heading                      | string   | Please confirm a few details                                                                                                                   | Sub heading text                      |
| formHeading                   | Form heading                     | string   | Your details                                                                                                                                   | Form heading text                     |
| postalCodeLabel               | Postal code/ZIP code label       | string   | Enter your {{zip\_name\_type}}                                                                                                                 | Post code label                       |
| postalCodePlaceHolder         | Postal code/ZIP code placeholder | string   | Enter {{zip\_name\_type}}                                                                                                                      | Post code field placeholder           |
| subscriptionNumberLabel       | Subscription number label        | string   | Enter your subscription number                                                                                                                 | Subscription number label             |
| subscriptionNumberPlaceholder | Subscription number placeholder  | string   | Enter your subscription number                                                                                                                 | Subscription number field placeholder |
| subscriptionNumberSmallText   | Subscription number small text   | richtext | This 12-digit number is used to identify you and your subscription. It can be found on any email or written correspondence from The Economist. | Text below subscription number field  |
| contactUsHeading              | Contact us heading               | string   | Contact us                                                                                                                                     | Contact us heading text               |
| contactUsDescription          | Contact us description           | richtext | Alternatively, please contact us by phone to renew your subscription.                                                                          | Contact us description text           |
| continueButtonText            | Continue button text             | string   | Continue                                                                                                                                       | Continue button text                  |
| continueButtonUrl             | Continue button url              | string   | /renew?subRef={{subRef}}                                                                                                                       | Continue button url                   |
| loginText                     | Login text                       | richtext | Already have an account? Log in                                                                                                                | Login text                            |
| invalidInputMessage           | Invalid input message            | string   | Please fill in this field to continue.                                                                                                         | Invalid input message                 |
| subscriptionNotFoundMessage   | Subscription not found message   | string   | We didn't recognise those details—please try again.                                                                                            | Subscription not found message        |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.limio.com/components/component-library/legacy-configuration-components/component-renewal-form.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
